@Echo off
SET LogPath=c:\OEM\AcerLogs\UserAlaunch.log
echo. >> %LogPath%
echo. >> %LogPath%
echo ------ Enter %~dpnx0 on %DATE% %TIME% ------------------- >> %LogPath%

for /f "skip=2 tokens=3" %%A in ('reg query HKLM\Software\OEM\Metadata /v Brand') do set Brand=%%A
IF /I "%Brand%" EQU "Packard" SET Brand=Packard Bell
ECHO [Log] Brand is [%Brand%] >>%LogPath%


ECHO [Log] Check if New GCM, FIND /I "GCM=Y" C:\OEM\PRELOAD\command\POP*.INI >>%LogPath% 2>&1
FIND /I "GCM=Y" C:\OEM\PRELOAD\command\POP*.INI >>%LogPath% 2>&1
IF /I "%ERRORLEVEL%" EQU "0" (
	ECHO [Log] This is New GCM, call :NGCM >>%LogPath%
	call :NGCM
) ELSE (
	ECHO [Log] This is old flow, call :OGCM >>%LogPath%
	call :OGCM
)

:END
echo ------ Leave %~dpnx0 on %DATE% %TIME% ---------------------- >> %LogPath%
echo. >> %LogPath%
echo. >> %LogPath%
exit /b 0


:NGCM
ECHO [Log] call :Install >>%LogPath%
call :Install
SET QuickAccess=%ALLUSERSPROFILE%\Microsoft\Windows\Start Menu\Programs\%Brand%\%Brand% Quick Access.lnk
echo %QuickAccess%> TASKBARLINK.txt
echo %QuickAccess%> AUMID_QuickAccess.txt
echo NA>> AUMID_QuickAccess.txt
ECHO [Log] Create TASKBARLINK.txt and AUMID_QuickAccess.txt is [%QuickAccess%] >>%LogPath%
exit /b 0


:OGCM
SET IsSupport=TRUE
FOR /F "skip=2 tokens=3" %%A in ('reg query HKLM\Software\OEM\Metadata /v FPC') do (
	ECHO [Log] Get FPC SKU is %%A. If is FPC than SET IsSupport as FALSE.>>%LogPath%
	IF %%A EQU TRUE SET IsSupport=FALSE
)
IF /I "%IsSupport%" EQU "TRUE" (
	ECHO [Log] Install Quick Access for Non-FPC sku. call :Install >>%LogPath%
	call :Install
) ELSE (
	ECHO [Log] No support Sku, RemoveAutorun.exe >> %LogPath%
	RemoveAutorun.exe
)
exit /b 0


:Install
ECHO [Log] Start /w Setup.exe -s>>%LogPath%
Start /w Setup.exe -s
exit /b 0